## net.i2p.router.web
Class ConfigLoggingHandler

    java.lang.Object
      net.i2p.router.web.FormHandler
          net.i2p.router.web.ConfigLoggingHandler

    public class ConfigLoggingHandler

extends FormHandler

Handler to deal with form submissions from the logging config form and act upon the values.

Field Summary

Fields inherited from class net.i2p.router.web.FormHandler
`_action, _context, _log, _method, _passphrase`

Constructor Summary
`ConfigLoggingHandler()`

Method Summary
`protected void` `processForm()` Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)
`void` `setDefaultloglevel(String level)`
`void` `setLevels(String levels)`
`void` `setLogdateformat(String format)`
`void` `setLogfilename(String filename)`
`void` `setLogfilesize(String size)`
`void` `setLogformat(String format)`
`void` `setNewlogclass(String s)`
`void` `setNewloglevel(String s)`
`void` `setShouldsave(String moo)`

Methods inherited from class net.i2p.router.web.FormHandler
`_, _, _, addFormError, addFormNotice, getAllMessages, getErrors, getNewNonce, getNotices, setAction, setContextId, setNonce, setPassphrase, storeMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigLoggingHandler

    public ConfigLoggingHandler()

Method Detail

### processForm

    protected void processForm()

  Description copied from class: `FormHandler`
  Override this to perform the final processing (in turn, adding formNotice and formError messages, etc)

  Overrides:
    `processForm` in class `FormHandler`

### setShouldsave

    public void setShouldsave(String moo)

### setLevels

    public void setLevels(String levels)

### setDefaultloglevel

    public void setDefaultloglevel(String level)

### setLogfilename

    public void setLogfilename(String filename)

### setLogformat

    public void setLogformat(String format)

### setLogdateformat

    public void setLogdateformat(String format)

### setLogfilesize

    public void setLogfilesize(String size)

### setNewlogclass

    public void setNewlogclass(String s)

  Since:
    0.8.1

### setNewloglevel

    public void setNewloglevel(String s)

  Since:
    0.8.1